"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serveImage = void 0;
var utils_1 = require("../utils");
var stream_1 = require("stream");
/**
 * Serve (return) image to the browser
 * @param response: Epxress handler's Response object
 * @param data: Image buffer and mime type
 * @return void
 */
function serveImage(response, data) {
    response.set("Cache-Control', 'public, max-age=" + (process.env.EXPRESS_WIZ_CACHE_AGE || 31557600));
    response.set('Last-Modified', utils_1.lastModifiedFormat(new Date()));
    var stream = bufferToStream(data.buffer);
    stream.pipe(response);
}
exports.serveImage = serveImage;
/**
 * @param binary Buffer
 * returns readableInstanceStream Readable
 */
function bufferToStream(binary) {
    var readableInstanceStream = new stream_1.Readable({
        read: function () {
            this.push(binary);
            this.push(null);
        }
    });
    return readableInstanceStream;
}
